Description

There are several paths to persistent areas in the drupal web site that are using drupal identifiers rather than aliases.  

For example, the "About" link goes to:

http://beta.nmepscor.net/node/8

whereas a more logical URL would be: 

http://beta.nmepscor.net/about

which would be defined as an alias, with the advantage that another version of the "about" page could exist in preparation for being

flipped to the live version.  This functionality is a core Drupal functionality through the path module: 

http://drupal.org/handbook/modules/path

Once the persistent locations have all been defined, the menus and other links should use the alias URLs rather than the Drupal

node URLs.

History

#1 - 2010-08-18 21:29 - Laura Arguelles

- Status changed from New to Closed

#2 - 2010-08-18 21:40 - Laura Arguelles

This is a part of the Public-web.Release milestone.

https://trac.dataone.org/milestone/Operations.Public-web.Release

#3 - 2010-10-07 00:14 - Dave Vieglais

- Target version deleted (Operations.Public-web.Release)
